#
# spec file for package picard
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           picard
Version:        1.3.2
Release:        62.3
Summary:        The Next Generation MusicBrainz Tagger
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://musicbrainz.org/doc/PicardTagger
Source0:        http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.gz
# http://wiki.musicbrainz.org/Picard_Plugins
Source2:        http://dispuutivv.nl/~jan/bonusdisc.py
Source8:        http://users.musicbrainz.org/~brianfreud/SearchAmazon3.py
Source9:        http://users.musicbrainz.org/~brianfreud/SearchAMG.py
Source10:       http://users.musicbrainz.org/~brianfreud/SearchCastAlbums3.py
Source11:       http://users.musicbrainz.org/~brianfreud/SearchDiscogs3.py
Source12:       http://users.musicbrainz.org/~brianfreud/SearchFilmMusziek3.py
Source13:       http://users.musicbrainz.org/~brianfreud/SearchGMR.py
Source14:       http://users.musicbrainz.org/~brianfreud/SearchGoogle3.py
Source15:       http://users.musicbrainz.org/~brianfreud/SearchLortelArchives3.py
Source16:       http://users.musicbrainz.org/~brianfreud/SearchSoundtrackCollector3.py
Source17:       http://users.musicbrainz.org/~brianfreud/SearchSoundtrackINFO3.py
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libofa-devel
BuildRequires:  python-devel
BuildRequires:  python-mutagen
Requires:       python-mutagen
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-qt4
BuildRequires:  update-desktop-files
Recommends:     python-discid
Requires:       python-qt4
Recommends:     chromaprint-fpcalc

%description
MusicBrainz Picard is a cross-platform MusicBrainz tag editor written in
Python. Picard Tagger is intended to be the next generation of tagger for
MusicBrainz, with a focus on album oriented tagging as opposed to track based
tagging and cross platform compatibility.

%lang_package

%prep
%setup -q -n %{name}-release-%{version}

%build
python setup.py config
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

# install plugins
PLUGINDIR=%{buildroot}%{py_sitedir}/picard/plugins/
install -m 0644 %{SOURCE2} ${PLUGINDIR}
install -m 0644 %{SOURCE8} ${PLUGINDIR}
install -m 0644 %{SOURCE9} ${PLUGINDIR}
install -m 0644 %{SOURCE10} ${PLUGINDIR}
install -m 0644 %{SOURCE11} ${PLUGINDIR}
install -m 0644 %{SOURCE12} ${PLUGINDIR}
install -m 0644 %{SOURCE13} ${PLUGINDIR}
install -m 0644 %{SOURCE14} ${PLUGINDIR}
install -m 0644 %{SOURCE15} ${PLUGINDIR}
install -m 0644 %{SOURCE16} ${PLUGINDIR}
install -m 0644 %{SOURCE17} ${PLUGINDIR}

%suse_update_desktop_file -G "Music Tagger" -N "picard" picard

rm -rfv %{buildroot}%{_datadir}/locale/sco

%find_lang %{name} %{name}.lang
%find_lang %{name}-countries %{name}.lang
%find_lang %{name}-attributes %{name}.lang

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING.txt NEWS.txt
%{_bindir}/picard
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/picard*
%{_datadir}/icons/hicolor/*/apps/picard.png

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Jun 29 2016 hpj@urpla.net
- add recommends for python-discid
* Wed Feb 24 2016 olaf@aepfle.de
- Remove sco locale to fix build in SLE_11
* Tue Dec  8 2015 olaf@aepfle.de
- Remove ffmpeg from BuildRequires, it is not used anymore
- Recommend chromaprint-fpcalc
* Sat Apr  4 2015 avvissu@yandex.ru
- Fix build in PMBS: use libffmpeg-devel instead of ffmpeg-devel
* Wed Mar 11 2015 p.drouand@gmail.com
- Update to version 1.3.2
  * Bugfix: Fixed tags from filename dialog not opening on new installations
- Remove some useless stuff
* Tue May 21 2013 ohering@suse.de
- Update to version 1.2 - 2013-03-30
  - Picard now requires at least Python 2.6
  - Removed support for AmpliFIND/PUIDs
  - Add support for the Ogg Opus file format
  - It's now possible to download cover images without any plugin.
    Cover Art Archive images can be downloaded by image type
  - Improved directory scanning performance
  - Prefer already-loaded releases of the same RG when matching files
  - Allow dropping new files onto specific targets
  - Add basic collections management support (PICARD-84)
  - Allow adding custom tags in the tag editing dialog (PICARD-349)
  - Fix replacing of Windows-incompatible characters (PICARD-393)
  - Save both primary and secondary release types (PICARD-240)
  - Handle errors from the AcoustID service better (PICARD-391)
  - Accept HTTPS URLs on drag-and-drop (PICARD-378)
  - Allow adding custom tags in the tag editor (PICARD-349)
* Wed Nov 14 2012 ohering@suse.de
- install contrib/plugins/coverart.py
* Mon Oct 15 2012 ohering@suse.de
- Update to version 1.1 - 2012-09-03
  - Always show basic tags in metadata comparison box, even if empty (title,
    artist, album, tracknumber, ~length, date) (PICARD-201)
  - Fixed AcoustID submission failure after removing files from Picard (PICARD-82)
  - Allow multi-select in new MetaDataBox for delete/remove tags (PICARD-194)
  - File browser remembers last directory/no longer crashes on OS X (PICARD-104)
  - Refreshing a non-album track correctly clears previous track metadata (PICARD-220)
  - Fixed the preserved tags setting for tags with uppercase characters (PICARD-217)
  - Added a completion box to the preserved tags setting, and clarified how it works
  - Store lyrics language in tags instead of text representation language (PICARD-242)
  - Fix various oddities in the metadata comparison box (PICARD-255, PICARD-256)
* Sun Jun 10 2012 ohering@suse.de
- Update to version 1.0 - 2012-06-02
  - New UI: Extended comparison of existing vs. MB metadata & tags (PICARD-43)
  - Merged the renaming and moving options pages
  - Removed the VA file naming format option (there is now a single format option) (PICARD-159)
  - Add %%license%% tag
  - Made %%writer%% available to tagger scripts and plugins with contents of songwriter (PICARD-21)
  - Allow two multi-valued variables to be merged in tagger scripting (PICARD-139)
  - Allow multi-valued variables to be transformed in tagger script and then set back in tags as multi-valued (PICARD-147)
  - Fix $copy not preserving multi-value variables as documented (PICARD-138)
  - Load/save free-text tags for ID3 as TXXX frames (PICARD-148)
  - Fix writing of MusicBrainz Work Id / musicbrainz_workid to tags (PICARD-88)
  - Handle mimetype for embedding cover art from EXIF jpegs (PICARD-27)
  - Change cover art box to open MusicBrainz release rather than Amazon
  - Support manual drag-and-drop of cover art onto a release via cover art box
  - Only open browser on left-click of cover art box (PICARD-190)
  - Fix Lookup in Browser (previously 'tag lookup') for clusters (PICARD-186)
  - Lookup in Browser will now not use MBIDs to lookup unmatched files/clusters
  - Add Date/Country to CD Lookup results dialog (PICARD-198)
  - Fix/reset album folksonomy tag counts while refreshing releases (PICARD-4)
  - Plugins actions can now create sub-menus using the MENU class attribute
  - New plugin hook register_clusterlist_action
  - Display the port Picard is listening on at bottom right status bar (PICARD-191)
  - Make album drops from right hand pane to left default to "unmatched files" again (PICARD-33)
  - Remove .DS_Store, desktop.ini, and Thumbs.db from otherwise empty directories (PICARD-75)
  - Update artist translation to use new alias features (primary flag, sort names) (PICARD-200)
  - Deleted tags aren't indicated as changes (PICARD-165)
  - Picard log entries have inaccurate timestamp (PICARD-45)
  - Interface doesn't allow keyboard only management (PICARD-103)
  - Added option to preserve timestamps of tagged files (PICARD-31)
  - Added keyboard shortcut to reload release (PICARD-99)
  - Medium formats weren't listed in order in the "Other versions" menu (PICARD-91)
  - Couldn't select multiple directories in "Add Folder" window on OS X (PICARD-74)
* Wed Apr 11 2012 saschpe@suse.de
- Remove obsolete SUSE version checks
- Call icon_theme_cache_post(un) (bnc#756522)
- Remove Mandriva checks, not tested nor enabled in this project
* Sun Apr  1 2012 ohering@suse.de
- Update to version 0.16 - 2011-10-23
  - Added AcoustID support.
  - Fixed track metadata plugins.
  - Added new internal %%_totalalbumtracks%% tag field. (PICARD-16)
  - Track metadata plugins now run also on non-album tracks. (PICARD-7)
  - Fixed custom Various Artists name on the %%albumartist%% field. (PICARD-5)
  - Album artist is now correctly "translated". (PICARD-1)
  - Unicode punctuation is now converted to ASCII by default.
  - WavPack correction files are moved together with the main files. (PICARD-15)
  - Unicode filename normalization on OS X.
  - Original release date is now saved into %%originaldate%%.
  - Allow tagging with localized artist aliases (PICARD-17)
  - Added a quit confirmation dialog. (PICARD-46)
  - Standalone recordings can be tagged with relationships now. (PICARD-10)
  - Refreshing an album will refresh its "other versions" listing. (PICARD-8)
  - "Unicode punctuation to ASCII" now works on album-level metadata. (PICARD-50)
  - DJ-mix tags should only be written to the medium where they apply. (PICARD-20)
  - Support URL redirects in web service/network request module (PICARD-54)
  - Jamendo and Archive.org cover art is displayed on web page, but not loaded by Picard plugin (PICARD-52)
  - Edits to metadata in "Details..." menu not reflected in UI (PICARD-13)
  - The status bar/new metadata box is updated when a selected file/track is changed. (PICARD-14)
* Thu Feb 23 2012 Ralf Lang <lang@b1-systems.de>
- add a requires: on python-qt4. picard will not run without this
* Tue Feb 21 2012 saschpe@suse.de
- Ran spec-cleaner
* Mon Feb 20 2012 pascal.bleser@opensuse.org
- add conditional BUILD_ORIG_ADDON to buildrequire ffmpeg-devel and enable
  ffmpeg fingerprinting support when picard is linked and built on Packman
* Mon Aug  1 2011 ohering@suse.de
- Update to version 0.15.1 - 2011-07-31
  - "Other versions" menu now displays release labels and catalog numbers.
  - Added CD-R, 8cm CD to the format mapping.
  - Picard no longer fails to load releases with new or unknown media formats.
  - Threading issues that could occasionally cause Picard to stop loading files have been fixed.
  - Fixed album metadata processor plugins not working (#5960)
  - Fixed loading of standalone recordings (#5961)
  - Fixed requests stopping at midnight (#5963)
  - Stopped using QDateTime for timing requests (for Qt 4.6 compatibility) (#5967)
  - Fixed display of ampersands in the "other versions" menu. (#5969)
  - Fixed use of numerical functions in advanced scripting.
* Mon Jul 25 2011 ohering@suse.de
- Update name of dlopen libdiscid object during build
* Mon Jul 25 2011 ohering@suse.de
- Update additional python plugins to report compatibility for 0.15
* Mon Jul 25 2011 ohering@suse.de
- Run dos2unix on additional python plugins
* Mon Jul 25 2011 ohering@suse.de
- Update to version 0.15 - 2011-07-17
  - Added options for using standardized track, release, and artist metadata.
  - Added preferred release format support.
  - Expanded preferred release country support to allow multiple countries.
  - Added support for tagging non-album tracks (standalone recordings).
  - Plugins can now be installed via drag and drop, or a file browser.
  - Added several new tags: %%%%_originaldate%%%%, %%%%_recordingcomment%%%%, and %%%%_releasecomment%%%%
  - Changes to request queuing: added separate high and low priority queues for each host.
  - Tagger scripts now run after metadata plugins finish (#5850)
  - The "compilation" tag can now be $unset or modified via tagger script.
  - Added a shortcut (Ctrl+I) for Edit->Details.
  - Miscellaneous bug fixes.
  - Support for the NGS web service
  Version 0.14 - 2011-05-15
  - Fixed a problem with network operations hanging after a network error (#5794, #5884)
  - ID3v2.3 with UTF-16 is now the default ID3 version
  - Option to set preferred release types for improved album matching
  - Added support for sorting the album/file lists (#75)
  - Fixed OptimFROG tag reading (#5859)
  - Fixed colors for a white-on-black color scheme (#5846)
  - Added an option to replace non-ASCII punctuation (#5834)
  - Support for writing release group and work IDs, currently unused (#5805)
  - Fixed saving of the release event format tag (#5250)
  - Added support for the language and script tags (#943)
  - Plugins can now use track-track relationships (#5849)
  - Allowed external drives to be visible in the file browser panel on OS X (#5308)
  Version 0.13 - 2011-03-06
  - Changed Picard icon license to CC by-sa
  - Small UI consistency changes
  - Albums with tracks linked to more than one file are never marked as
    "completed".
  - Fixed matching of scanned files to tracks while the album is still loading.
  - Support for properly embedded FLAC pictures
  - Existing embedded images in APE and ASF files are removed only if there
    are new images to replace them.
  - More strict tagger script validation.
  - Fixed the $truncate tagger script function.
  - Proper rounding of track durations.
  - Fixed a bug with saving images larger than 64k to WMA files.
  - Added a $swapprefix tagger script function.
  - Release events with a date are preferred over the ones without a date.
  - Files that are being saved as marked as pending.
  - Updated .desktop file to allow opening Picard with multiple files.
  - Handle the "open file" event on Mac OS X.
  - Added timeouts to the HTTP web service client.
  - Fixed a bug with albums missing the expand/collapse icons
* Mon Jul 25 2011 ohering@suse.de
- Include a dummy binary to add the correct rpm dependency to the
  libdiscid SONAME in the package. The python code uses dlopen.
* Mon Jul 25 2011 ohering@suse.de
- Update specfile to include URLs to plugins
* Mon Jul 25 2011 ohering@suse.de
- Remove incorrect sles_version check for libdiscid-devel
  The package will be required unconditionally to read Audio CDs
* Wed Feb  2 2011 saschpe@suse.de
- Don't install unsupported locale 'sco' on openSUSE > 11.3
- Fixed icons directory ownership and added hicolor-icon-theme
  dependency
* Wed Aug 25 2010 sasch.pe@gmx.de
- Updated to upstream version 0.12.1+bzr1043
- Icon license now complies with openSUSE packaging guidelines
* Mon Apr 19 2010 sasch.pe@gmx.de
- Added several plugins
* Tue Jan  5 2010 masterpatricko@gmail.com
- Updated to upstream v0.12.1
* Fri Jan 23 2009 masterpatricko@gmail.com
- Updated to upstream v0.11
* Mon Jun 30 2008 jfunk@funktronics.ca
- Adapt to non-standard python build
* Fri Feb  1 2008 jfunk@funktronics.ca
- Update to final v0.9
* Mon Sep  3 2007 jfunk@funktronics.ca
- Initial release
